$(function() {
    var hideid = $('#hide').val();
    $('#' + hideid).live("mousedown", function() {
        return false;
    });
});

//Выделим ссылки при наведении на строку
$(function() {
    $('ul#defcols li').live("mouseover", function() {
        $(this).find('label').addClass('columnselected');
    });
    $('ul#defcols li').live("mouseout", function() {
        $(this).find('label').removeClass('columnselected');
    });
    $('ul#customcols li').live("mouseover", function() {
        var mergedObjects = $('ul#customcols li[shortname="' + $(this).attr("shortname") + '"]');
        mergedObjects.each(function() {
            $(this).addClass('columnselected');
            $(this).find('label').addClass('columnselected');
        });
        $(this).find('label').addClass('columnselected');
    });
    $('ul#customcols li').live("mouseout", function() {
        var mergedObjects = $('ul#customcols li[shortname="' + $(this).attr("shortname") + '"]');        
        mergedObjects.each(function() {
            $(this).removeClass('columnselected');
            $(this).find('label').removeClass('columnselected');
        });
        $(this).find('label').removeClass('columnselected');
    });
    $('ul#columnorder li').live("mouseover", function() {
        $(this).find('label').addClass('columnselected');
    });
    $('ul#columnorder li').live("mouseout", function() {
        $(this).find('label').removeClass('columnselected');
    });
});

//в IE некорректно отрабатывает селектор ".is(':hidden')", поэтому будем оперировать классами
function showHideCustomCols() {
    if ($('#customcolumns').hasClass('hidden')) {
        $('#customcolumns').removeClass('hidden');
        $('#showcustomcolumns').text('↑ '+ FilterResources.HideAdditionalFields);
    } else {
    $('#customcolumns').addClass('hidden');
    $('#showcustomcolumns').text("↓ " + FilterResources.ShowAdditionalFields);
    }
}

//Добавление колонки
function addSelectedCol(objselector) {
    if ($(objselector).attr("id") == $('#hide').val())
        return false;
    var sn = $(objselector).attr("shortname");
    var item = $('li.allcolumns[shortname="' + sn + '"]').remove();
    item.find('label').removeClass('columnselected');
    item.removeClass('allcolumns').addClass('visiblecolumn');
    $('li.avialablecolumn[shortname="' + sn + '"]').hide();
    $('ul#columnorder').append(item);
    $('li.visiblecolumn[shortname="' + sn + '"] table tbody tr td.hidden input').attr("checked", "true");
    return false;
}

//удаление колонок
function removeSelectedCol(obj) {
    if (obj.attr("id") == $('#hide').val())
        return false;
    var sn = obj.attr("shortname");
    //надо убирать сортировку, если убираем колонку, иначе она применяется
    var select = obj.find('select.orderby');
    if (select && select.val()) {
        select.val('');
    }
    $('li#visiblecolumn[shortname="' + sn + '"] table tbody tr td.hidden input').removeAttr("checked");
    
    var item = $('li.visiblecolumn[shortname="' + sn + '"]').remove();
        item.removeClass('visiblecolumn').addClass('allcolumns');
        $('ul#columnscontainer').append(item);
        $('li.avialablecolumn[shortname="' + sn + '"]').show();
    return false;
}
